[mythtv-users] Ubuntu VDPAU Repo crashing on screen configure

Jean-Yves Avenard jyavenard at gmail.com
Thu Apr 9 02:24:33 UTC 2009


2009/4/9 Dave Johansen <davejohansen at gmail.com>:
> I'm running Mythbuntu 9.04 x64 with your VDPAU packages and I want to
> do everything I can to fix the problems because Mythbuntu 8.10 doesn't
> support the hardware I have, so is there anything I can do to help
> debug the issues and try to find solutions?

Are you using the nvidia drivers ?

I only see the crash when I'm using the standard ubuntu OpenGL library
; it doesn't crash if the nvidia drivers are installed (they replace
those opengl libraries)

To identify if you have the same problem I saw, install the 20313
packages I've put in jaunty testing ; they are build with debugging
(you will have to downgrade from 20320 if you updated yesterday)

Then, follow the instructions listed there:

you can skip the build part obviously.
All you need to do is create a gdbcommands file

Then start mythfrontend with:
gdb mythfrontend.real -x /path/to/gdbcommands

Then do what you usually do to make mythtv crash.

Then post me (directly, not through the distribution list) the
backtrace that gdb returns....

I'm keen on making sure it works on jaunty as I'm planning to upgrade
when it comes out.

BTW: what is the hardware you have that isn't supported by 8.10 ?
if it's sound or DVB-T cards , I've made packages for 8.10 that are
even more recent than what ships with 9.04.. No reason for not getting
8.10 to support your hardware.


More information about the mythtv-users mailing list